# DbConnect

Package tourplaner.data

## Class DbConnect

- java.lang.Object
- - tourplaner.data.DbConnect

    public class DbConnect
    extends java.lang.Object

Verwaltet die Datenbankverbindung zu dem Postgres Server

### Constructor Summary

Constructors
`DbConnect()` Erstellt alle Beispieldaten und simuliert somit den Verbindungsaufbau zu einer DB

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addLog​(java.lang.String tourname, Log log)` Füght einen Logeintrag ein
`boolean` `addTour​(Tour tour)` Fügt eine Tour hinzu
`boolean` `delAllData()`
`boolean` `delLog​(java.lang.String tourname, java.lang.String id)`
`boolean` `delTour​(java.lang.String tourname)` Löscht eine Tour anhand des Tournamens
`boolean` `editLog​(java.lang.String tourname, Log log)`
`boolean` `editTour​(java.lang.String oldname, Tour tour)` Bearbeitet eine Tour
`java.util.ArrayList<Tour>` `getAllTouren()` Holt alle Touren aus der Datenbank
`java.util.ArrayList<Log>` `getLogs​(java.lang.String tourname)`
`Tour` `getTour​(java.lang.String tn)` Holt eine Tour aus der Datenbank
`boolean` `init()` Erstellt alle Tabellen die für den Betrieb der Software bennötigt werden

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DbConnect

    public DbConnect()

Erstellt alle Beispieldaten und simuliert somit den Verbindungsaufbau zu einer DB

### Method Detail

#### init

    public boolean init()

Erstellt alle Tabellen die für den Betrieb der Software bennötigt werden

Returns:
  True bei erfolg, sonst error

#### editTour

    public boolean editTour​(java.lang.String oldname,
                            Tour tour)

Bearbeitet eine Tour

Parameters:
  `oldname` - Alter Tour name
  `tour` - Neues Tour Object
Returns:
  false bei error

#### addTour

    public boolean addTour​(Tour tour)

Fügt eine Tour hinzu

Parameters:
  `tour` - Neue Tour
Returns:
  false bei error

#### delTour

    public boolean delTour​(java.lang.String tourname)

Löscht eine Tour anhand des Tournamens

Parameters:
  `tourname` - Tourname der zu löschen ist
Returns:
  false bei error

#### delAllData

    public boolean delAllData()

#### getLogs

    public java.util.ArrayList<Log> getLogs​(java.lang.String tourname)

#### addLog

    public boolean addLog​(java.lang.String tourname,
                          Log log)

Füght einen Logeintrag ein

Parameters:
  `tourname` - Zu welcher Tour der Logeintrag gehört
  `log` - Der Logeintrag
Returns:
  false bei error

#### editLog

    public boolean editLog​(java.lang.String tourname,
                           Log log)

#### delLog

    public boolean delLog​(java.lang.String tourname,
                          java.lang.String id)

#### getAllTouren

    public java.util.ArrayList<Tour> getAllTouren()

Holt alle Touren aus der Datenbank

Returns:
  Null bei fehler, sonst eine List aus den IDs

#### getTour

    public Tour getTour​(java.lang.String tn)

Holt eine Tour aus der Datenbank

Parameters:
  `tn` - Tourname
Returns:
  Null bei fehler, sonst eine List aus den IDs